summaryrefslogtreecommitdiff
path: root/Tools/gcc
diff options
context:
space:
mode:
authorbbahnsen <bbahnsen@6f19259b-4bc3-4df7-8a09-765794883524>2006-04-26 23:12:11 +0000
committerbbahnsen <bbahnsen@6f19259b-4bc3-4df7-8a09-765794883524>2006-04-26 23:12:11 +0000
commit8db4c50cf2970c4a098d7303e37f3080e4963b76 (patch)
tree007df8cd66fc0d36f6b6917cbf065b06e0190111 /Tools/gcc
parentb8f302f88c4ea1cf48e5790f4776dd577549db2b (diff)
downloadedk2-platforms-8db4c50cf2970c4a098d7303e37f3080e4963b76.tar.xz
Make unix format
git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@59 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'Tools/gcc')
-rw-r--r--Tools/gcc/tianoCross-gcc-4.0280
-rw-r--r--Tools/gcc/tianoCross-gcc-4.1276
2 files changed, 278 insertions, 278 deletions
diff --git a/Tools/gcc/tianoCross-gcc-4.0 b/Tools/gcc/tianoCross-gcc-4.0
index 19e2c82569..ed950e3b2a 100644
--- a/Tools/gcc/tianoCross-gcc-4.0
+++ b/Tools/gcc/tianoCross-gcc-4.0
@@ -1,140 +1,140 @@
-#!/bin/bash
-
-#
-# Get, build and install the latest cross-development tools and libraries
-#
-
-#
-# Specify the architectures for which the tools are to be built
-# To build for single target: ARCHS="m68k"
-#
-ARCHS="${ARCHS:-i386}"
-
-# Let's be nice
-renice 10 -p $$
-
-# If any thing goes wrong, we'll bail out.
-set -ex
-
-#
-# Specify the versions
-#
-GCC=gcc-4.0.2
-BINUTILS=binutils-2.16.1
-CYGWIN_SNAP=20060120 # You may need to find a more recent one.
-
-#
-# Where to install
-#
-PREFIX="${PREFIX:-/opt/tiano/}"
-
-#
-# Where to get the GNU tools
-#
-BINUTILS_URL=ftp://ftp.ibiblio.org/pub/mirrors/gnu/ftp/gnu/binutils/${BINUTILS}.tar.bz2
-GCC_URL=ftp://ftp.ibiblio.org/pub/mirrors/gnu/ftp/gnu/gcc/gcc-4.0.2/${GCC}.tar.bz2
-CYG_LOC=http://cygwin.com/snapshots/cygwin-src-${CYGWIN_SNAP}.tar.bz2
-export http_proxy=http://proxy.dp.intel.com:911
-export ftp_proxy=http://proxy.dp.intel.com:911
-
-#
-# Uncomment one of the following depending upon which your system provides
-#
-GET_COMMAND="curl --remote-name"
-#GET_COMMAND="wget -nc --no-directories --retr-symlinks "
-
-#
-# Allow environment to override some programs
-#
-MAKE="${MAKE:-make}"
-export MAKE
-SHELL="${SHELL:-/bin/sh}"
-export SHELL
-
-#
-# Get the source
-# If you don't have curl on your machine, try using
-# wget --passive-ftp --no-directories --retr-symlinks <<url>>
-# If that doesn't work, try without the --passive-ftp option.
-#
-getSource() {
- ${GET_COMMAND} "${BINUTILS_URL}" &
- ${GET_COMMAND} "${GCC_URL}" &
- ${GET_COMMAND} "${CYG_LOC}" &
- wait
-}
-
-#
-# Unpack the source
-#
-unpackSource() {
- (rm -rf "${BINUTILS}"
- tar jxf "${BINUTILS}.tar.bz2"
- ) &
-
- (rm -rf "${GCC}"
- tar jxf "${GCC}.tar.bz2"
- ) &
-
- (rm -rf cygwin-snapshot-${CYGWIN_SNAP}-1/
- tar jxf cygwin-src-${CYGWIN_SNAP}.tar.bz2
- ) &
-
- wait
-
- # (cd "${GCC}" ; ln -sf "../cygwin-snapshot-20060120-1/newlib" newlib)
-
-}
-
-CONF_SHELL="${CONF_SHELL:-/bin/bash}"
-# CONF_SHELL="${CONF_SHELL:-echo}"
-
-#
-# Build
-#
-build() {
- for arch in $ARCHS
- do (
- export targ=${arch}-tiano-pe
- export pref=${PREFIX}${targ}
- export PATH="${pref}/bin:$PATH"
-
- ( mkdir -p build-binutils-$targ
- cd build-binutils-$targ
- "${CONF_SHELL}" "../${BINUTILS}/configure" \
- --disable-nls "--target=${targ}" "--prefix=${pref}"
- ${MAKE} -j1 -w all
- ${MAKE} -w install
- ) >> ${targ}.log 2>&1
-
- (
- mkdir -p $pref/$targ/sys-include;
- cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/newlib/libc/include/* $pref/$targ/sys-include
- cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/winsup/cygwin/include/* $pref/$targ/sys-include
- )
-
- ( mkdir -p build-gcc-$targ
- cd build-gcc-$targ
- "${CONF_SHELL}" "../${GCC}/configure" "--target=${targ}" "--prefix=${pref}" \
- --with-gnu-as --with-gnu-ld --with-newlib --verbose \
- --disable-nls --enable-languages=c
- ${MAKE} -j1 -w all
- ${MAKE} -w install
- ) >> ${targ}.log 2>&1
- ) &
- done
-
- wait
-}
-
-
-
-#
-# Do everything
-#
-# Comment out any activities you wish to omit
-#
-getSource
-unpackSource
-build
-
+#!/bin/bash
+
+#
+# Get, build and install the latest cross-development tools and libraries
+#
+
+#
+# Specify the architectures for which the tools are to be built
+# To build for single target: ARCHS="m68k"
+#
+ARCHS="${ARCHS:-i386}"
+
+# Let's be nice
+renice 10 -p $$
+
+# If any thing goes wrong, we'll bail out.
+set -ex
+
+#
+# Specify the versions
+#
+GCC=gcc-4.0.2
+BINUTILS=binutils-2.16.1
+CYGWIN_SNAP=20060120 # You may need to find a more recent one.
+
+#
+# Where to install
+#
+PREFIX="${PREFIX:-/opt/tiano/}"
+
+#
+# Where to get the GNU tools
+#
+BINUTILS_URL=ftp://ftp.ibiblio.org/pub/mirrors/gnu/ftp/gnu/binutils/${BINUTILS}.tar.bz2
+GCC_URL=ftp://ftp.ibiblio.org/pub/mirrors/gnu/ftp/gnu/gcc/gcc-4.0.2/${GCC}.tar.bz2
+CYG_LOC=http://cygwin.com/snapshots/cygwin-src-${CYGWIN_SNAP}.tar.bz2
+export http_proxy=http://proxy.dp.intel.com:911
+export ftp_proxy=http://proxy.dp.intel.com:911
+
+#
+# Uncomment one of the following depending upon which your system provides
+#
+GET_COMMAND="curl --remote-name"
+#GET_COMMAND="wget -nc --no-directories --retr-symlinks "
+
+#
+# Allow environment to override some programs
+#
+MAKE="${MAKE:-make}"
+export MAKE
+SHELL="${SHELL:-/bin/sh}"
+export SHELL
+
+#
+# Get the source
+# If you don't have curl on your machine, try using
+# wget --passive-ftp --no-directories --retr-symlinks <<url>>
+# If that doesn't work, try without the --passive-ftp option.
+#
+getSource() {
+ ${GET_COMMAND} "${BINUTILS_URL}" &
+ ${GET_COMMAND} "${GCC_URL}" &
+ ${GET_COMMAND} "${CYG_LOC}" &
+ wait
+}
+
+#
+# Unpack the source
+#
+unpackSource() {
+ (rm -rf "${BINUTILS}"
+ tar jxf "${BINUTILS}.tar.bz2"
+ ) &
+
+ (rm -rf "${GCC}"
+ tar jxf "${GCC}.tar.bz2"
+ ) &
+
+ (rm -rf cygwin-snapshot-${CYGWIN_SNAP}-1/
+ tar jxf cygwin-src-${CYGWIN_SNAP}.tar.bz2
+ ) &
+
+ wait
+
+ # (cd "${GCC}" ; ln -sf "../cygwin-snapshot-20060120-1/newlib" newlib)
+
+}
+
+CONF_SHELL="${CONF_SHELL:-/bin/bash}"
+# CONF_SHELL="${CONF_SHELL:-echo}"
+
+#
+# Build
+#
+build() {
+ for arch in $ARCHS
+ do (
+ export targ=${arch}-tiano-pe
+ export pref=${PREFIX}${targ}
+ export PATH="${pref}/bin:$PATH"
+
+ ( mkdir -p build-binutils-$targ
+ cd build-binutils-$targ
+ "${CONF_SHELL}" "../${BINUTILS}/configure" \
+ --disable-nls "--target=${targ}" "--prefix=${pref}"
+ ${MAKE} -j1 -w all
+ ${MAKE} -w install
+ ) >> ${targ}.log 2>&1
+
+ (
+ mkdir -p $pref/$targ/sys-include;
+ cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/newlib/libc/include/* $pref/$targ/sys-include
+ cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/winsup/cygwin/include/* $pref/$targ/sys-include
+ )
+
+ ( mkdir -p build-gcc-$targ
+ cd build-gcc-$targ
+ "${CONF_SHELL}" "../${GCC}/configure" "--target=${targ}" "--prefix=${pref}" \
+ --with-gnu-as --with-gnu-ld --with-newlib --verbose \
+ --disable-nls --enable-languages=c
+ ${MAKE} -j1 -w all
+ ${MAKE} -w install
+ ) >> ${targ}.log 2>&1
+ ) &
+ done
+
+ wait
+}
+
+
+
+#
+# Do everything
+#
+# Comment out any activities you wish to omit
+#
+getSource
+unpackSource
+build
+
diff --git a/Tools/gcc/tianoCross-gcc-4.1 b/Tools/gcc/tianoCross-gcc-4.1
index 2b4e5abeb3..898f69c895 100644
--- a/Tools/gcc/tianoCross-gcc-4.1
+++ b/Tools/gcc/tianoCross-gcc-4.1
@@ -1,138 +1,138 @@
-#!/bin/bash
-
-#
-# Get, build and install the latest cross-development tools and libraries
-#
-
-#
-# Specify the architectures for which the tools are to be built
-# To build for single target: ARCHS="m68k"
-#
-ARCHS="${ARCHS:-i386}"
-
-# Let's be nice
-renice 10 -p $$
-
-# If any thing goes wrong, we'll bail out.
-set -e
-
-#
-# Specify the versions
-#
-GCC=gcc-4.1.0
-# BINUTILS=binutils-2.16.1
-BINUTILS=binutils-2.16.91-20060119-1
-CYGWIN_SNAP=20060403 # You may need to find a more recent one.
-
-#
-# Where to install
-#
-PREFIX="${PREFIX:-/opt/tiano/}"
-
-#
-# Where to get the GNU tools
-#
-BINUTILS_URL=http://superb.dl.sourceforge.net/sourceforge/mingw/${BINUTILS}-src.tar.gz
-GCC_URL=http://mirrors.ibiblio.org/pub/mirrors/gnu/ftp/gnu/gcc/gcc-${GCC}/${GCC}.tar.bz2
-CYG_LOC=http://cygwin.com/snapshots/cygwin-src-${CYGWIN_SNAP}.tar.bz2
-# export http_proxy=http://proxy.dp.intel.com:911
-# export ftp_proxy=http://proxy.dp.intel.com:911
-
-#
-# Uncomment one of the following depending upon which your system provides
-#
-GET_COMMAND="curl --remote-name"
-#GET_COMMAND="wget -nc --no-directories --retr-symlinks "
-
-#
-# Allow environment to override some programs
-#
-MAKE="${MAKE:-make}"
-export MAKE
-SHELL="${SHELL:-/bin/sh}"
-export SHELL
-
-#
-# Get the source
-# If you don't have curl on your machine, try using
-# wget --passive-ftp --no-directories --retr-symlinks <<url>>
-# If that doesn't work, try without the --passive-ftp option.
-#
-getSource() {
- ${GET_COMMAND} "${BINUTILS_URL}" &
- ${GET_COMMAND} "${GCC_URL}" &
- ${GET_COMMAND} "${CYG_LOC}" &
- wait
-}
-
-#
-# Unpack the source
-#
-unpackSource() {
- (rm -rf "${BINUTILS}"
- tar zxf "${BINUTILS}-src.tar.gz"
- ) &
-
- (rm -rf "${GCC}"
- tar jxf "${GCC}.tar.bz2"
- ) &
-
- (rm -rf cygwin-snapshot-${CYGWIN_SNAP}-1/
- tar jxf cygwin-src-${CYGWIN_SNAP}.tar.bz2
- ) &
-
- wait
-}
-
-CONF_SHELL="${CONF_SHELL:-/bin/bash}"
-# CONF_SHELL="${CONF_SHELL:-echo}"
-
-#
-# Build
-#
-build() {
- for arch in $ARCHS
- do (
- export targ=${arch}-tiano-pe
- export pref=${PREFIX}${targ}
- export PATH="${pref}/bin:$PATH"
-
- ( mkdir -p build-binutils-$targ
- cd build-binutils-$targ
- "${CONF_SHELL}" "../${BINUTILS}/configure" \
- --disable-nls "--target=${targ}" "--prefix=${pref}"
- ${MAKE} -j5 -w all
- ${MAKE} -w install
- ) >> ${targ}.log 2>&1
-
- (
- mkdir -p $pref/$targ/sys-include;
- cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/newlib/libc/include/* $pref/$targ/sys-include
- cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/winsup/cygwin/include/* $pref/$targ/sys-include
- )
-
- ( mkdir -p build-gcc-$targ
- cd build-gcc-$targ
- "${CONF_SHELL}" "../${GCC}/configure" "--target=${targ}" "--prefix=${pref}" \
- --with-gnu-as --with-gnu-ld --with-newlib --verbose \
- --disable-libssp \
- --disable-nls --enable-languages=c
- ${MAKE} -j5 -w all
- ${MAKE} -w install
- ) >> ${targ}.log 2>&1
- ) &
- done
-
- wait
-}
-
-
-
-#
-# Do everything
-#
-# Comment out any activities you wish to omit
-#
-getSource
-unpackSource
-build
+#!/bin/bash
+
+#
+# Get, build and install the latest cross-development tools and libraries
+#
+
+#
+# Specify the architectures for which the tools are to be built
+# To build for single target: ARCHS="m68k"
+#
+ARCHS="${ARCHS:-i386}"
+
+# Let's be nice
+renice 10 -p $$
+
+# If any thing goes wrong, we'll bail out.
+set -e
+
+#
+# Specify the versions
+#
+GCC=gcc-4.1.0
+# BINUTILS=binutils-2.16.1
+BINUTILS=binutils-2.16.91-20060119-1
+CYGWIN_SNAP=20060403 # You may need to find a more recent one.
+
+#
+# Where to install
+#
+PREFIX="${PREFIX:-/opt/tiano/}"
+
+#
+# Where to get the GNU tools
+#
+BINUTILS_URL=http://superb.dl.sourceforge.net/sourceforge/mingw/${BINUTILS}-src.tar.gz
+GCC_URL=http://mirrors.ibiblio.org/pub/mirrors/gnu/ftp/gnu/gcc/gcc-${GCC}/${GCC}.tar.bz2
+CYG_LOC=http://cygwin.com/snapshots/cygwin-src-${CYGWIN_SNAP}.tar.bz2
+# export http_proxy=http://proxy.dp.intel.com:911
+# export ftp_proxy=http://proxy.dp.intel.com:911
+
+#
+# Uncomment one of the following depending upon which your system provides
+#
+GET_COMMAND="curl --remote-name"
+#GET_COMMAND="wget -nc --no-directories --retr-symlinks "
+
+#
+# Allow environment to override some programs
+#
+MAKE="${MAKE:-make}"
+export MAKE
+SHELL="${SHELL:-/bin/sh}"
+export SHELL
+
+#
+# Get the source
+# If you don't have curl on your machine, try using
+# wget --passive-ftp --no-directories --retr-symlinks <<url>>
+# If that doesn't work, try without the --passive-ftp option.
+#
+getSource() {
+ ${GET_COMMAND} "${BINUTILS_URL}" &
+ ${GET_COMMAND} "${GCC_URL}" &
+ ${GET_COMMAND} "${CYG_LOC}" &
+ wait
+}
+
+#
+# Unpack the source
+#
+unpackSource() {
+ (rm -rf "${BINUTILS}"
+ tar zxf "${BINUTILS}-src.tar.gz"
+ ) &
+
+ (rm -rf "${GCC}"
+ tar jxf "${GCC}.tar.bz2"
+ ) &
+
+ (rm -rf cygwin-snapshot-${CYGWIN_SNAP}-1/
+ tar jxf cygwin-src-${CYGWIN_SNAP}.tar.bz2
+ ) &
+
+ wait
+}
+
+CONF_SHELL="${CONF_SHELL:-/bin/bash}"
+# CONF_SHELL="${CONF_SHELL:-echo}"
+
+#
+# Build
+#
+build() {
+ for arch in $ARCHS
+ do (
+ export targ=${arch}-tiano-pe
+ export pref=${PREFIX}${targ}
+ export PATH="${pref}/bin:$PATH"
+
+ ( mkdir -p build-binutils-$targ
+ cd build-binutils-$targ
+ "${CONF_SHELL}" "../${BINUTILS}/configure" \
+ --disable-nls "--target=${targ}" "--prefix=${pref}"
+ ${MAKE} -j5 -w all
+ ${MAKE} -w install
+ ) >> ${targ}.log 2>&1
+
+ (
+ mkdir -p $pref/$targ/sys-include;
+ cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/newlib/libc/include/* $pref/$targ/sys-include
+ cp -fr cygwin-snapshot-${CYGWIN_SNAP}-1/winsup/cygwin/include/* $pref/$targ/sys-include
+ )
+
+ ( mkdir -p build-gcc-$targ
+ cd build-gcc-$targ
+ "${CONF_SHELL}" "../${GCC}/configure" "--target=${targ}" "--prefix=${pref}" \
+ --with-gnu-as --with-gnu-ld --with-newlib --verbose \
+ --disable-libssp \
+ --disable-nls --enable-languages=c
+ ${MAKE} -j5 -w all
+ ${MAKE} -w install
+ ) >> ${targ}.log 2>&1
+ ) &
+ done
+
+ wait
+}
+
+
+
+#
+# Do everything
+#
+# Comment out any activities you wish to omit
+#
+getSource
+unpackSource
+build